Bug 177244 - devel/happydoc: Update to version 3.1
Summary: devel/happydoc: Update to version 3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 18:40 UTC by tkato432
Modified: 2013-03-25 06:10 UTC (History)
0 users

See Also:


Attachments
file.diff (3.80 KB, patch)
2013-03-22 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-03-22 18:40:00 UTC
- Update to version 3.1

New file:
files/patch-happydoclib__CommandLineApp.py
Comment 1 Edwin Groothuis freebsd_committer 2013-03-22 18:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-25 06:05:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-03-25 06:05:45 UTC
Author: miwi
Date: Mon Mar 25 06:05:31 2013
New Revision: 315193
URL: http://svnweb.freebsd.org/changeset/ports/315193

Log:
  - Update to 3.1
  
  PR:		177244
  Submitted by:	ports fury

Added:
  head/devel/happydoc/files/
  head/devel/happydoc/files/patch-happydoclib__CommandLineApp.py   (contents, props changed)
Modified:
  head/devel/happydoc/Makefile   (contents, props changed)
  head/devel/happydoc/distinfo   (contents, props changed)

Modified: head/devel/happydoc/Makefile
==============================================================================
--- head/devel/happydoc/Makefile	Mon Mar 25 04:30:31 2013	(r315192)
+++ head/devel/happydoc/Makefile	Mon Mar 25 06:05:31 2013	(r315193)
@@ -1,31 +1,44 @@
-# ex:ts=8
-# New ports collection makefile for:    happydoc
-# Date created:         Dec 29, 2000
-# Whom:                 Ying-Chieh Liao <ijliao@FreeBSD.org>
-#
+# Created by: Ying-Chieh Liao <ijliao@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	happydoc
-PORTVERSION=	3.0.a1
+PORTVERSION=	3.1
 CATEGORIES=	devel python
-MASTER_SITES=	SF/${PORTNAME}/HappyDoc/3.0
+MASTER_SITES=	SF/${PORTNAME}/HappyDoc/${PORTVERSION}
 DISTNAME=	HappyDoc_r${PORTVERSION:S/./_/g}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A tool for extracting documentation from Python source code
+COMMENT=	Tool for extracting documentation from Python source code
+
+LICENSE=	HPND ZPL21
+LICENSE_COMB=	multi
+LICENSE_NAME_HPND=	Historical Permission Notice and Disclaimer
+LICENSE_FILE_HPND=	${WRKSRC}/LICENSE.txt
+LICENSE_GROUPS_HPND=	OSI
+LICENSE_PERMS_HPND=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
-USE_PYTHON=	yes
 WRKSRC=		${WRKDIR}/HappyDoc3-r${PORTVERSION:S/./_/g}
-NO_BUILD=	yes
-PLIST_FILES=	bin/happydoc
+
+USE_PYTHON=	yes
+
+PLIST=		${WRKDIR}/PLIST
+
+pre-build:
+	@${FIND} ${WRKSRC} \( -name  ".*" -or -name "*.orig" \) -delete
+
+do-build:
+	@${PYTHON_CMD} -m compileall ${WRKSRC}/happydoclib
+	@${PYTHON_CMD} -O -m compileall ${WRKSRC}/happydoclib
+
+post-build:
+	@${ECHO_CMD} "bin/happydoc" > ${PLIST}
+	@${FIND} ${WRKSRC}/happydoclib -type f | ${SORT} | ${SED} -e \
+		's|${WRKSRC}|%%PYTHON_SITELIBDIR%%|' >> ${PLIST}
+	@${FIND} ${WRKSRC}/happydoclib -type d | ${SORT} -r | ${SED} -e \
+		's|${WRKSRC}|@dirrm %%PYTHON_SITELIBDIR%%|' >> ${PLIST}
 
 do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/happydoc ${PREFIX}/bin
-	@${CP} -R ${WRKSRC}/happydoclib ${PYTHON_SITELIBDIR}
-	@${FIND} ${PYTHON_SITELIBDIR}/happydoclib -type f | \
-		${SED} 's,^${PREFIX}/,,' >> ${TMPPLIST}
-	@${FIND} ${PYTHON_SITELIBDIR}/happydoclib -type d | ${SORT} -r | \
-		${SED} 's,^${PREFIX}/,@dirrm ,' >> ${TMPPLIST}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} happydoclib ${PYTHON_SITELIBDIR})
 
 .include <bsd.port.mk>

Modified: head/devel/happydoc/distinfo
==============================================================================
--- head/devel/happydoc/distinfo	Mon Mar 25 04:30:31 2013	(r315192)
+++ head/devel/happydoc/distinfo	Mon Mar 25 06:05:31 2013	(r315193)
@@ -1,2 +1,2 @@
-SHA256 (HappyDoc_r3_0_a1.tar.gz) = 311a289906dee8b9f8c327bddab59daa200b0080dd83968ee91fda8bbbf15e39
-SIZE (HappyDoc_r3_0_a1.tar.gz) = 234707
+SHA256 (HappyDoc_r3_1.tar.gz) = ef5f8dee5782a1ebe750aa51b855ce84097f5bb60488826ea5da900098c5aaec
+SIZE (HappyDoc_r3_1.tar.gz) = 732849

Added: head/devel/happydoc/files/patch-happydoclib__CommandLineApp.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/happydoc/files/patch-happydoclib__CommandLineApp.py	Mon Mar 25 06:05:31 2013	(r315193)
@@ -0,0 +1,28 @@
+--- happydoclib/CommandLineApp.py.orig
++++ happydoclib/CommandLineApp.py
+@@ -102,10 +102,21 @@
+     #
+     # Exception names
+     #
+-    ReservedOptionName = 'Reserved option name'
+-    HelpRequested='Help requested'
+-    InvalidOptionValue='Invalid value for option'
+-    InvalidArgument='Invalid argument to program'
++    class ReservedOptionName(ValueError):
++        'Reserved option name'
++        pass
++
++    class HelpRequested(ValueError):
++        'Help requested'
++        pass
++
++    class InvalidOptionValue(ValueError):
++        'Invalid value for option'
++        pass
++
++    class InvalidArgument(ValueError):
++        'Invalid argument to program'
++        pass
+ 
+     #
+     # Globally useful configuration stuff.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"